#ifndef _ARRAY_H
#define _ARRAY_H

extern int verbose;

#include <GL/gl.h>
#include <GL/glu.h>
#include <fstream.h>
class Array
{
 public:
  Array ();

  void createArray ();
  void finalizeArray (void);
  void addEntry (GLfloat entry);
  void addEntry(GLfloat entry0, GLfloat entry1, GLfloat entry2);
  
  GLfloat* getArray ();
  int getCount();
  void debug(void);
 private:
  struct Entry
  {
    GLfloat value;
    Entry* next;
  };

  GLfloat* array;
  int entryCount;
  Entry* firstEntry;
  Entry* currentEntry;
  
  
};

#endif
